editors/hexer - The NetBSD Packages Collection

Vi-like binary editor

The hexer utility is a multi-buffer editor for binary files for Unix-like
systems that displays its buffer(s) as a hex dump. The user interface is
kept similar to vi/ex.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfhexer-1.0.6nb1.tgz
NetBSD 8.0earmv7hfhexer-1.0.6.tgz
NetBSD 8.0earmv7hfhexer-1.0.6.tgz
NetBSD 8.0i386hexer-1.0.6.tgz
NetBSD 8.0i386hexer-1.0.6.tgz
NetBSD 8.0powerpchexer-1.0.6.tgz
NetBSD 8.0powerpchexer-1.0.6.tgz
NetBSD 8.0powerpchexer-1.0.6.tgz
NetBSD 8.0powerpchexer-1.0.6nb1.tgz
NetBSD 8.0x86_64hexer-1.0.6.tgz
NetBSD 8.0x86_64hexer-1.0.6.tgz
NetBSD 9.0aarch64hexer-1.0.6nb1.tgz
NetBSD 9.0aarch64hexer-1.0.6.tgz
NetBSD 9.0aarch64hexer-1.0.6.tgz
NetBSD 9.0alphahexer-1.0.6nb1.tgz
NetBSD 9.0alphahexer-1.0.6.tgz
NetBSD 9.0alphahexer-1.0.6.tgz
NetBSD 9.0earmhexer-1.0.6.tgz
NetBSD 9.0earmhexer-1.0.6.tgz
NetBSD 9.0earmv6hfhexer-1.0.6nb1.tgz
NetBSD 9.0earmv6hfhexer-1.0.6.tgz
NetBSD 9.0earmv6hfhexer-1.0.6.tgz
NetBSD 9.0earmv7hfhexer-1.0.6nb1.tgz
NetBSD 9.0earmv7hfhexer-1.0.6.tgz
NetBSD 9.0earmv7hfhexer-1.0.6.tgz
NetBSD 9.0earmv7hfhexer-1.0.6nb1.tgz
NetBSD 9.0i386hexer-1.0.6.tgz
NetBSD 9.0i386hexer-1.0.6.tgz
NetBSD 9.0i386hexer-1.0.6nb1.tgz
NetBSD 9.0mips64ebhexer-1.0.6.tgz
NetBSD 9.0mips64ebhexer-1.0.6.tgz
NetBSD 9.0mips64ebhexer-1.0.6.tgz
NetBSD 9.0mips64ebhexer-1.0.6nb1.tgz
NetBSD 9.0powerpchexer-1.0.6.tgz
NetBSD 9.0powerpchexer-1.0.6.tgz
NetBSD 9.0powerpchexer-1.0.6.tgz
NetBSD 9.0powerpchexer-1.0.6.tgz
NetBSD 9.0powerpchexer-1.0.6nb1.tgz
NetBSD 9.0sparc64hexer-1.0.6.tgz
NetBSD 9.0sparc64hexer-1.0.6.tgz
NetBSD 9.0sparc64hexer-1.0.6nb1.tgz
NetBSD 9.0sparchexer-1.0.6.tgz
NetBSD 9.0sparchexer-1.0.6.tgz
NetBSD 9.0sparchexer-1.0.6.tgz
NetBSD 9.0x86_64hexer-1.0.6nb1.tgz
NetBSD 9.0x86_64hexer-1.0.6nb1.tgz
NetBSD 9.0x86_64hexer-1.0.6.tgz
NetBSD 9.0x86_64hexer-1.0.6.tgz
NetBSD 9.0x86_64hexer-1.0.6nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.